Subject: Re: bug#15427: 24.3.50; `customize-face' in Customize, show `Background' attribute using background

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Aug 2019 21:47:44 +0300

>> emacs -Q
>> M-x customize-face lazy-highlight
>>
>> Attribute `Background' has its own `sample', which shows the color.
>> But it shows the color as a foreground (text).  Show it as the
>> background, instead.
>>
>> This is independent of the overall `sample' for the face as a whole.
>> It's just more helpful to show the background color choice as a
>> background.
>
> There's a whole bunch of things that can have a colour when customising
> a face -- like stipple background/foreground, overline, etc.  I don't
> know whether it makes sense to special-case just the (main) background
> colour...  but perhaps that does make sense, because it's a pretty
> common thing to customise.  And showing the colour as a background
> colour would give a more correct impressions.

Using background colors is more helpful for users.  Please see also
bug#33799 (set-foreground-color completion shows background colors).